Los desarrolladores de Debian han emitido un comunicado en el que recomiendan desactivar el HyperThreading (HT) de los procesadores Intel Skylake y Kaby Lake de 6ª y 7ª generación. Al parecer el uso del HT en estos procesadores puede causar problemas en determinadas circunstancias, en cualquier sistema operativo, no sólo en Linux.
Hay un defecto en estas CPUs que puede causar fallos en los compiladores y por lo tanto provocar comportamientos inesperados de programas y aplicaciones, provocando salidas incorrectas en los mismos y hasta corrupción de datos.
En el mismo comunicado mencionan que el problema puede ser solucionado mediante una actualización de microcódigo lanzada el 17 de Junio de este año 2017, instalada a través de una actualización de BIOS, por lo que sería recomendable que los usuarios de dichas plataformas revisen las actualizaciones de sus placas base.
El problema también está descrito por la propia Intel, en sus “processor errata” SKZ7/SKW144/SKL150/SKX150/KBL095/KBW095, donde explica que bucles cortos de menos de 64 registros que utilicen registros AH/BH/CH/DH pueden causar errores impredecibles con el HyperThreading activado.
Por lo tanto sabemos que Intel tiene reconocido el problema, y que ha publicado una solución el propio 17 de Junio, por lo que los fabricantes de placas base deberían actuar y sacar una bios para sus placas con el microcódigo actualizado. Revisad las páginas de vuestros fabricantes.